package com.bonus.zlpt.equip.service;

import com.bonus.zlpt.equip.api.domain.TypeInfoRecord;

import java.util.List;

/**
 * 设备类型Service接口
 * 
 * @author xsheng
 * @date 2023-12-02
 */
public interface ITypeInfoRecordService 
{
    /**
     * 查询设备类型
     * 
     * @param typeId 设备类型主键
     * @return 设备类型
     */
    public TypeInfoRecord selectTypeInfoRecordByTypeId(Long typeId);

    /**
     * 查询设备类型列表
     * 
     * @param typeInfoRecord 设备类型
     * @return 设备类型集合
     */
    public List<TypeInfoRecord> selectTypeInfoRecordList(TypeInfoRecord typeInfoRecord);

    /**
     * 新增设备类型
     * 
     * @param typeInfoRecord 设备类型
     * @return 结果
     */
    public int insertTypeInfoRecord(TypeInfoRecord typeInfoRecord);

    /**
     * 修改设备类型
     * 
     * @param typeInfoRecord 设备类型
     * @return 结果
     */
    public int updateTypeInfoRecord(TypeInfoRecord typeInfoRecord);

    /**
     * 批量删除设备类型
     * 
     * @param typeIds 需要删除的设备类型主键集合
     * @return 结果
     */
    public int deleteTypeInfoRecordByTypeIds(Long[] typeIds);

    /**
     * 删除设备类型信息
     * 
     * @param typeId 设备类型主键
     * @return 结果
     */
    public int deleteTypeInfoRecordByTypeId(Long typeId);
}
